/*************************************************************************/
/*************************************************************************/
/* H. Timucin OZDEMIR                                                    */
/* Date : April, 1997                                                    */
/* File Name : JSSProblem.h                                              */
/*************************************************************************/
/*************************************************************************/

#ifndef _JSSProblem_h
#define _JSSProblem_h

#include "OperationList.h"
#include "FacilitySchedule.h"

class JSSProblem
{  private :
     int NumberOfJobs;
     int NumberOfFacilities;
     OperationList *JobList;
     FacilitySchedule  *FacilityScheduleList;
     int JobIndex;
     int FacilityIndex;

   public :

     ~JSSProblem();

     JSSProblem();

     JSSProblem(const JSSProblem&);

     JSSProblem(int ,int );

     addJob(OperationList);

     void setNumberOfJobs(int );

     void setNumberOfFacilities(int );

     getNumberOfJobs();

     getNumberOfFacilities();

     OperationList getJobList(int);

     Operation * getPreviousOperation(int,Operation);

     Operation * getFollowingOperation(int,Operation);

     void print();

     JSSProblem operator =(const JSSProblem &RHSOperation);

     friend ostream& operator <<(ostream &,const JSSProblem &);
     
};// end of class JSSProblem

#endif 
